Ticket #39353

fileopenの動作

Eröffnet am: 2019-06-27 11:40 Letztes Update: 2019-09-03 13:18

Auswertung:
(Anonym)
Verantwortlicher:
(Keine)
Typ:
Status:
Geschlossen
Komponente:
Priorität:
5 - Mittel
Schweregrad:
7
Lösung:
Gefixt
Datei:
Keine
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

最新版のVer 4.103にて、他のアプリケーションで既に開いているファイルを fileopen コマンドの
読み書きモードで開こうとするとCan't open file. のエラーが発生しマクロが停止します。

Ver4.100以前であればエラーが発生せず、 file handle に -1 が格納されマクロが継続動作する動きでした。

確認環境
OS:Windows10 Pro
TeratermVer:4.103
TXTを開くアプリケーション:Excel,Sakuraエディタ
 ※メモ帳の場合はエラーが発生せず

Ticket-Verlauf (3/5 Historien)

2019-06-27 11:40 Aktualisiert von: None
  • New Ticket "fileopenの動作" created
2019-06-27 11:57 Aktualisiert von: doda
  • Lösung Update from Keine to Accepted
  • Meilenstein Update from (Keine) to Tera Term 4.104 (closed)
  • Komponente Update from (Keine) to Tera Term Macro
  • Typ Update from Support-Anfragen to Fehler
  • Schweregrad Update from 5 - Mittel to 7
2019-06-27 12:43 Aktualisiert von: (del#1144)
Kommentar

ソースを確認しました。変更履歴への記述も、マクロコマンドのヘルプへの記述も、コミットログにもない仕様変更がありました。

https://ja.osdn.net/projects/ttssh2/svn/view/trunk/teraterm/ttpmacro/ttl.c?root=ttssh2&view=log#rev7292

影響が出るリリースバージョンは 4.102, 4.103 です。

今後の対応は考えますが、これらのバージョンではこの動作をします。

2019-09-01 09:01 Aktualisiert von: None
2019-09-03 13:18 Aktualisiert von: doda
  • Status Update from Offen to Geschlossen
  • Lösung Update from Accepted to Gefixt
Kommentar

4.104で動作が元に戻されました。(r7823)

Dateianhangliste

Keine Anhänge

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden